View Issue Details

IDProjectCategoryView StatusLast Update
0003793SketcherFeaturepublic2020-03-22 22:21
Reporterchrisb Assigned Towmayer  
PrioritynormalSeverityfeatureReproducibilityalways
Status closedResolutionfixed 
Product Version0.18 
Target Version0.19Fixed in Version0.19 
Summary0003793: Naming reference constraints on doubleclick
DescriptionBejant made a proposal how to get the best of two worlds: forum discussion
TagsNo tags attached.
FreeCAD Information

Relationships

related to 0003978 closedwmayer unchanged reference dimensions lose reference mode 

Activities

openBrain

2020-03-17 23:28

developer   ~0014236

https://github.com/FreeCAD/FreeCAD/pull/3183

wmayer

2020-03-19 13:00

administrator   ~0014240

https://github.com/FreeCAD/FreeCAD/commit/2d9c2c64407032403f81e340655c838435cf0e79

wmayer

2020-03-22 22:21

administrator   ~0014261

Fix committed to master branch.

Related Changesets

FreeCAD: master 2d9c2c64

2020-03-17 21:15:04

0penBrain


Committer: wmayer Details Diff
[Sketcher] Constraint driving/driven status integration in dimension edition dialog

This integrates the ability to manage dimensional constraint driving/driven status
in the constraint edition dialog box.
It adds a checkbox in the dialog to show/select whether a constraint is driving or
driven. When the constraint value is modified, it is automatically set as driving.
Main focus is to allow to edit name (alias) of reference (driven) constraints
directly in the constraint edition box.

Resolves 0003793, 0003978
Affected Issues
0003793, 0003978
mod - src/Mod/Sketcher/Gui/CMakeLists.txt Diff File
mod - src/Mod/Sketcher/Gui/CommandConstraints.cpp Diff File
mod - src/Mod/Sketcher/Gui/EditDatumDialog.cpp Diff File
mod - src/Mod/Sketcher/Gui/EditDatumDialog.h Diff File
mod - src/Mod/Sketcher/Gui/InsertDatum.ui Diff File
mod - src/Mod/Sketcher/Gui/ViewProviderSketch.cpp Diff File

Issue History

Date Modified Username Field Change
2019-01-25 15:55 chrisb New Issue
2019-01-25 15:55 chrisb Status new => assigned
2019-01-25 15:55 chrisb Assigned To => abdullah
2019-05-28 11:56 Kunda1 Relationship added related to 0003978
2020-03-17 23:28 openBrain Note Added: 0014236
2020-03-17 23:28 openBrain Assigned To abdullah => openBrain
2020-03-19 13:00 wmayer Status assigned => closed
2020-03-19 13:00 wmayer Resolution open => fixed
2020-03-19 13:00 wmayer Fixed in Version => 0.19
2020-03-19 13:00 wmayer Note Added: 0014240
2020-03-22 22:21 wmayer Changeset attached => FreeCAD master 2d9c2c64
2020-03-22 22:21 wmayer Note Added: 0014261
2020-03-22 22:21 wmayer Assigned To openBrain => wmayer